﻿using BlacksmithWorkshopContracts.Attributes;
using BlacksmithWorkshopDataModels.Enums;
using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {

        [Column("Number", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public int Id { get; set; }
        [Column(visible: false)]
        public int ManufactureId { get; set; }
        [Column("Wood's name", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public string ManufactureName { get; set; } = string.Empty;
        [Column(visible: false)]
        public int ClientId { get; set; }
        [Column("Client's FIO", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public string ClientFIO { get; set; } = string.Empty;
        [Column(visible: false)]
        public int? ImplementerId { get; set; }
        [Column("Implementer's FIO", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public string? ImplementerFIO { get; set; }
        [Column("Count", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public int Count { get; set; }
        [Column("Sum", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public double Sum { get; set; }
        [Column("Status", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [Column("Date of creation", width: 100)]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [Column("Date of completion", width: 100)]
        public DateTime? DateImplement { get; set; }
    }
}
